#!/usr/bin/env bash

arch=$(uname -i)
exe_path=""

if [[ $arch == x86_64* ]]; then
    exe_path="./dontstarve_dedicated_server_nullrenderer_x64"
    cd bin64
    export LD_LIBRARY_PATH=./lib64
elif [[ $arch == i*86 ]]; then
    exe_path="./dontstarve_dedicated_server_nullrenderer"
    cd bin
    export LD_LIBRARY_PATH=./lib32
else
    echo "Unknown architecture" >> /dev/stderr
    exit 1
fi

./${exe_path} -conf_dir ../configs